### Enumeration

# Fwupd RequestKind

#### Declaration

    enum Fwupd.RequestKind

#### Description [src]

The kind of request we are asking of the user.

#### Members

`FWUPD_REQUEST_KIND_UNKNOWN`

  Unknown kind.

  - Value: `0`
  - Available since: 1.6.2
`FWUPD_REQUEST_KIND_POST`

  After the update.

  - Value: `1`
  - Available since: 1.6.2
`FWUPD_REQUEST_KIND_IMMEDIATE`

  Immediately.

  - Value: `2`
  - Available since: 1.6.2